Bug 54654 - The SayGoodbye target fails when builing an iOS library
Summary: The SayGoodbye target fails when builing an iOS library
Status: RESOLVED FIXED
Alias: None
Product: Visual Studio Extensions
Classification: Xamarin
Component: iOS (show other bugs)
Version: 4.4.0 (15.1)
Hardware: PC Windows
: --- normal
Target Milestone: 15.3
Assignee: Bugzilla
URL:
Depends on:
Blocks:
 
Reported: 2017-04-06 17:27 UTC by Jerome Laban
Modified: 2017-10-16 15:06 UTC (History)
8 users (show)

See Also:
Tags: 15.1R
Is this bug a regression?: ---
Last known good build:


Attachments

Description Jerome Laban 2017-04-06 17:27:33 UTC
When building an iOS Library using Xamarin.iOS 10.8.0.174, the error at the end of this post is raised frequently.

Adding this condition to the SayGoodbye task works around the issue:

    Condition="'$(AppBundleDir)'!=''"

------------------------------ 

4>    Target _SayGoodbye:
4>      Using "SayGoodbye" task from assembly "C:\Program Files (x86)\Microsoft Visual Studio\2017\Enterprise\MSBuild\Xamarin\iOS\Xamarin.Messaging.Tasks.dll".
4>      Task "SayGoodbye"
4>        Computing signature for bin\Debug\Xamarin.iOS10\
4>        C:\Program Files (x86)\Microsoft Visual Studio\2017\Enterprise\MSBuild\Xamarin\iOS\Xamarin.iOS.Windows.After.targets(90,5): warning : An error occurred getting directory checksum for App {0}
4>        C:\Program Files (x86)\Microsoft Visual Studio\2017\Enterprise\MSBuild\Xamarin\iOS\Xamarin.iOS.Windows.After.targets(90,5): warning : Value cannot be null.
4>        C:\Program Files (x86)\Microsoft Visual Studio\2017\Enterprise\MSBuild\Xamarin\iOS\Xamarin.iOS.Windows.After.targets(90,5): warning : Parameter name: path3
4>        C:\Program Files (x86)\Microsoft Visual Studio\2017\Enterprise\MSBuild\Xamarin\iOS\Xamarin.iOS.Windows.After.targets(90,5): warning :    at System.IO.Path.Combine(String path1, String path2, String path3, String path4)
4>        C:\Program Files (x86)\Microsoft Visual Studio\2017\Enterprise\MSBuild\Xamarin\iOS\Xamarin.iOS.Windows.After.targets(90,5): warning :    at Xamarin.Messaging.PlatformPath.GetServerBuildPath(String home, String appName, String sessionId, String path) in C:\d\lanes\4471\3f99c5a7\source\xamarinvs\src\Messaging\Xamarin.Messaging.Common\PlatformPath.cs:line 51
4>        C:\Program Files (x86)\Microsoft Visual Studio\2017\Enterprise\MSBuild\Xamarin\iOS\Xamarin.iOS.Windows.After.targets(90,5): warning :    at Xamarin.Messaging.Ssh.SshService.<GetDirectoryChecksumAsync>d__15.MoveNext() in C:\d\lanes\4471\3f99c5a7\source\xamarinvs\src\Messaging\Xamarin.Messaging.Ssh\SshService.cs:line 74
4>        C:\Program Files (x86)\Microsoft Visual Studio\2017\Enterprise\MSBuild\Xamarin\iOS\Xamarin.iOS.Windows.After.targets(90,5): error : One or more errors occurred.
4>      Done executing task "SayGoodbye" -- FAILED.
4>    Done building target "_SayGoodbye" in project "Input.csproj" -- FAILED.
Comment 1 Sebastien Pouliot 2017-04-10 13:22:41 UTC
Xamarin.Messaging.Tasks.dll is not part of XI, it's likely from XVS
Comment 3 Jon Goldberger [MSFT] 2017-04-10 20:25:06 UTC
Non-engineering team preliminary quick review
(See https://developer.xamarin.com/guides/cross-platform/troubleshooting/questions/howto-file-bug/ for general reference.)

## Suspected to be a regression or a problem with a new feature?
Based on the bug description, it would seem so. However I am unable to reproduce the issue with XI version 10.8.0.174 using a template iOS Library project.



## Specific to one particular project, development computer, or target mobile device?
Possibly specific to one project as I could not reproduce with a template iOS Library project. If a test project that reproduces the issue could be added to the bug report, that would be helpful.


## Considers the relevant log files for the part(s) of the process where something goes wrong (IDE editing, MSBuild building, deploying, launching, attaching the debugger, an in-app error, or something else), and has them attached?
Build output showing error is in bug description.



## Already took up time for many users?
Unclear. This is the only report of this issue I have seen.



## Makes development (a) difficult, impossible, or potentially hazardous, (b) moderately inconvenient, or (c) mildly inconvenient for users?
(b) or (c). A workaround is noted, but involves editing a .targets file.



Setting status as NEEDINFO.
Comment 4 Jon Goldberger [MSFT] 2017-04-10 21:19:50 UTC
Update:

After doing a preliminary review of bug #54682 I was able to see this issue using the test project from that bug. It seems that the class library is a .NET Standard class library (Project XPLatAndroidTest) with the <TargetFramework> changed from
> <TargetFramework>netstandard1.4</TargetFramework>
to
> <TargetFrameworks>MonoAndroid60;Xamarin.iOS10</TargetFrameworks>

note that <Targetframework> was also changed to <TargetFrameworks>

so I am unsure whether this is a supported scenario at this time. 

After loading the test solution from bug #54682, you will have to add the XTargetTest project (in the XPLatAndroidTest folder) to the solution.
Comment 5 Jerome Laban 2017-04-11 13:16:58 UTC
Ah, I did not fix the project references after renaming them, sorry about that :)

This can happen for any library type, but is not happening all the time.
Comment 7 Jerome Laban 2017-05-15 02:28:34 UTC
This issue is still present in Xamarin.iOS 10.10.0.30.
Comment 8 Jose Gallardo 2017-05-18 13:49:23 UTC
Setting target milestone as 15.3
We'll investigate.

Thanks
Comment 9 xamarin-release-manager 2017-06-09 16:12:04 UTC
Fixed in version 4.7.0.18 (master)

Author: Mauro Agnoletti
Commit: 65f4050c9e1ba69650bdee91706b2bfc7debb6c9 (xamarin/XamarinVS)
Comment 10 Jerome Laban 2017-07-26 20:17:59 UTC
This is still present in the VS15.3 Preview 5. Though, it's release 4.6 for xamarin, and the side-channel update does not provide 4.7. 

Where can it be found ?
Comment 11 Jerome Laban 2017-08-04 15:59:27 UTC
The issue is still present in Xamnarin 4.7.0.827.
Comment 12 David 2017-09-27 20:04:00 UTC
This is still a problem with Xamarin 4.7.9.45, Xamarin.ios version 11.0.0.0.
Come on guys, fix the bug. This is REALLY unprofessional. You've had a long time to fix this. A work around is NOT a solution.
Comment 13 Jerome Laban 2017-10-04 18:32:31 UTC
This issue is still present in VS 15.4 Preview 4.

Note You need to log in before you can comment on or make changes to this bug.